Index: uspace/srv/fs/cdfs/cdfs_ops.c
===================================================================
--- uspace/srv/fs/cdfs/cdfs_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
+++ uspace/srv/fs/cdfs/cdfs_ops.c	(revision 0db0df2acaf79a846301b8337ca8d67aee9c1f18)
@@ -298,5 +298,5 @@
 }
 
-static bool nodes_key_equal(const void *k, const ht_link_t *item)
+static bool nodes_key_equal(const void *k, size_t hash, const ht_link_t *item)
 {
 	cdfs_node_t *node = hash_table_get_inst(item, cdfs_node_t, nh_link);
Index: uspace/srv/fs/exfat/exfat_idx.c
===================================================================
--- uspace/srv/fs/exfat/exfat_idx.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
+++ uspace/srv/fs/exfat/exfat_idx.c	(revision 0db0df2acaf79a846301b8337ca8d67aee9c1f18)
@@ -37,5 +37,4 @@
 
 #include "exfat.h"
-#include "../../vfs/vfs.h"
 #include <errno.h>
 #include <str.h>
@@ -139,5 +138,5 @@
 }
 
-static bool pos_key_equal(const void *key, const ht_link_t *item)
+static bool pos_key_equal(const void *key, size_t hash, const ht_link_t *item)
 {
 	const pos_key_t *pos = key;
@@ -180,5 +179,6 @@
 }
 
-static bool idx_key_equal(const void *key_arg, const ht_link_t *item)
+static bool idx_key_equal(const void *key_arg, size_t hash,
+    const ht_link_t *item)
 {
 	exfat_idx_t *fidx = hash_table_get_inst(item, exfat_idx_t, uih_link);
Index: uspace/srv/fs/fat/fat_idx.c
===================================================================
--- uspace/srv/fs/fat/fat_idx.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
+++ uspace/srv/fs/fat/fat_idx.c	(revision 0db0df2acaf79a846301b8337ca8d67aee9c1f18)
@@ -37,5 +37,4 @@
 
 #include "fat.h"
-#include "../../vfs/vfs.h"
 #include <errno.h>
 #include <str.h>
@@ -139,5 +138,5 @@
 }
 
-static bool pos_key_equal(const void *key, const ht_link_t *item)
+static bool pos_key_equal(const void *key, size_t hash, const ht_link_t *item)
 {
 	const pos_key_t *pos = key;
@@ -180,5 +179,6 @@
 }
 
-static bool idx_key_equal(const void *key_arg, const ht_link_t *item)
+static bool idx_key_equal(const void *key_arg, size_t hash,
+    const ht_link_t *item)
 {
 	fat_idx_t *fidx = hash_table_get_inst(item, fat_idx_t, uih_link);
Index: uspace/srv/fs/locfs/locfs_ops.c
===================================================================
--- uspace/srv/fs/locfs/locfs_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
+++ uspace/srv/fs/locfs/locfs_ops.c	(revision 0db0df2acaf79a846301b8337ca8d67aee9c1f18)
@@ -83,5 +83,6 @@
 }
 
-static bool services_key_equal(const void *key, const ht_link_t *item)
+static bool services_key_equal(const void *key, size_t hash,
+    const ht_link_t *item)
 {
 	const service_id_t *k = key;
Index: uspace/srv/fs/mfs/mfs_ops.c
===================================================================
--- uspace/srv/fs/mfs/mfs_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
+++ uspace/srv/fs/mfs/mfs_ops.c	(revision 0db0df2acaf79a846301b8337ca8d67aee9c1f18)
@@ -115,5 +115,5 @@
 
 static bool
-open_nodes_key_equal(const void *key, const ht_link_t *item)
+open_nodes_key_equal(const void *key, size_t hash, const ht_link_t *item)
 {
 	const node_key_t *node_key = key;
Index: uspace/srv/fs/tmpfs/tmpfs_ops.c
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
+++ uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 0db0df2acaf79a846301b8337ca8d67aee9c1f18)
@@ -38,5 +38,4 @@
 
 #include "tmpfs.h"
-#include "../../vfs/vfs.h"
 #include <macros.h>
 #include <stdint.h>
@@ -159,5 +158,6 @@
 }
 
-static bool nodes_key_equal(const void *key_arg, const ht_link_t *item)
+static bool nodes_key_equal(const void *key_arg, size_t hash,
+    const ht_link_t *item)
 {
 	tmpfs_node_t *node = hash_table_get_inst(item, tmpfs_node_t, nh_link);
Index: uspace/srv/fs/udf/udf_idx.c
===================================================================
--- uspace/srv/fs/udf/udf_idx.c	(revision 7ae01d57bf50357b7c31840df0b162f62f199375)
+++ uspace/srv/fs/udf/udf_idx.c	(revision 0db0df2acaf79a846301b8337ca8d67aee9c1f18)
@@ -35,5 +35,4 @@
  */
 
-#include "../../vfs/vfs.h"
 #include <errno.h>
 #include <str.h>
@@ -69,5 +68,5 @@
 }
 
-static bool udf_idx_key_equal(const void *k, const ht_link_t *item)
+static bool udf_idx_key_equal(const void *k, size_t hash, const ht_link_t *item)
 {
 	const udf_ht_key_t *key = k;
